### Method

# WPEWebProcessExtension WebPage get_uri

#### Declaration [src]

    const gchar*
    webkit_web_page_get_uri (
      WebKitWebPage* web_page
    )

#### Description [src]

Returns the current active URI of `web_page`.

You can monitor the active URI by connecting to the notify::uri signal of `web_page`.

Gets property | `WPEWebProcessExtension.WebPage:uri`

#### Return value

Type: `const gchar*`

The current active URI of `web_view` or `NULL` if nothing has been loaded yet.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.